/* body{
  font-family: 'Lato', sans-serif;
} */

.wrapper{
  position: fixed;
  top: 85%;
  left: 50%;
  -webkit-transform: translate(-50%, -70%);
          transform: translate(-50%, -70%);
}

.link_wrapper{
  position: relative;
}

a{
  display: block;
  width: 250px;
  height: 100px;
  line-height: 100px;
  font-weight: bold;
  text-decoration: none;
  background: #d15ecb;
  text-align: center;
  color: #fff;
  font-size: 50px;
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 7px solid #d15ecb;
  -webkit-transition: all .35s;
  transition: all .35s;
}

.icon{
  width: 80px;
  height: 80px;
  border: 2px solid transparent;
  position: absolute;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  right: 0;
  top: 0;
  z-index: -1;
  -webkit-transition: all .35s;
  transition: all .35s;
}

.icon svg{
  width: 30px;
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 15px);
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  fill: #d15ecb;
  -webkit-transition: all .35s;
  transition: all .35s;
}

a:hover{
  width: 250px;
  border: 2px solid #d15ecb;
  background: transparent;
  color: #d15ecb;
}

a:hover + .icon{
  border: 3px solid #d15ecb;
  right: -35%;
}
